<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// Vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");
?>
<div id="piedla" class="annot_petit" align="center">
<?PHP
if (($lst_sta == TRUE) OR ($lst_vac == TRUE) OR ($lst_lic == TRUE) OR ($lst_ferm == TRUE) OR ($lst_ttot == TRUE) OR ($lst_ttard == TRUE) OR ($lst_sig == TRUE) OR ($lst_fini == TRUE) OR ($lst_env == TRUE) OR ($lst_envs == TRUE) OR ($lst_retps == TRUE)) {
    ?>
    <!--- Pied sur affichages des listes -->
    <?PHP
    // Légende statut comptabilité (1 ligne)
    if ($lst_sta == TRUE) {
        for ($i = 1; $i <= 3; $i++) {
            echo '<img src="../img/"' . $ico_cpta[$i] . '" title ="' . $mess_cpta[$i] . '" border="0" align="absmiddle">';
        }
        echo ' '._("Problème en cours");
        $slash = TRUE;
    }

    // Légende vacances, licencié, fermé (1 ligne)
    $slash = FALSE;

    if ($lst_vac == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/vac.png" border="0" align="absmiddle">';
        echo ' '. _("En vacances");;
        $slash = TRUE;
    }

    if ($lst_lic == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/out.png" border="0" align="absmiddle">';
        echo ' '._("N'est plus salarié");
        $slash = TRUE;
    }

    if ($lst_ferm == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/out.png" border="0" align="absmiddle">';
        echo ' '._("Est fermée");
        $slash = TRUE;
    }

    // Légende "trop tôt", "trop tard"
    if ($lst_ttot == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/tot.png" border="0" align="absmiddle">';
        echo ' '._("Trop tôt");
        $slash = TRUE;
    }

    if ($lst_ttard == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/tard.png" border="0" align="absmiddle">';
        echo ' '._("Trop tard");
        $slash = TRUE;
    }

    // Légende "contrat signé"
    if ($lst_sig == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/ok.png" border="0" align="absmiddle">';
        echo ' '._("Contrat signé");
        $slash = TRUE;
    }

    // Légende "contrat terminé"
    if ($lst_fini == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/warn.png" border="0" align="absmiddle">';
        echo ' '._("Contrat terminé");
        $slash = TRUE;
    }

    // Légende "fiche retour soldée"
    if ($lst_retps == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/ok.png" border="0" align="absmiddle">';
        echo ' '._("Retour soldé");
        $slash = TRUE;
    }

    // Légende "renvoi effectué"
    if ($lst_env == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/ok.png" border="0" align="absmiddle">';
        echo ' '._("Renvoi effectué");
        $slash = TRUE;
    }

    // Légende "renvoi soldé"
    if ($lst_envs == TRUE) {
        if ($slash == TRUE)
            echo " / ";
        echo '<img src="../img/ok.png" border="0" align="absmiddle">';
        echo ' '._("Tous les échanges ont été effectués");
        $slash = TRUE;
    }

    echo ' ('._("Passer la souris sur les icônes pour le détail").')';
    echo "<hr align=\"center\" width=\"20%\"><br />";
}
?>
<br />
<?PHP
// Légende détail, Mettre à jour, Email, Modèle, Intervention, Contrat, Supprimer, Imprimer (1 ligne)
$slash = FALSE;

if ($lst_voir == TRUE) {
    echo '<img src="../img/eye.png" border="0" align="absmiddle">';
    echo ' '._("Voir le détail");
    $slash = TRUE;
}

if ($lst_voire == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/retr.png" border="0" align="absmiddle">';
    echo ' '._("Saisir traitements retours");
    $slash = TRUE;
}

if ($lst_maj == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/edit.png" border="0" align="absmiddle">';
    echo ' '._("Voir ou Mettre à jour");
    $slash = TRUE;
}

if ($lst_clore == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/clore.png" border="0" align="absmiddle">';
    echo ' '._("Clore");
    $slash = TRUE;
}

if (($lst_sfact == TRUE) OR ($lst_sfacta == TRUE)) {
    if ($slash == TRUE)
        echo " / ";
    if ($lst_sfact == TRUE)
        echo '<img src="../img/sfact.png" border="0" align="absmiddle">';
    if ($lst_sfacta == TRUE) {
        if ($lst_sfact == TRUE)
            echo " - ";
        echo '<img src="../img/sfact_add.png" border="0" align="absmiddle">';
    }
    echo ' '._("Suivi Facturation");
    $slash = TRUE;
}

if ($lst_name == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/edit.png" border="0" align="absmiddle">';
    echo ' '._("Nommer ou Renommer");
    $slash = TRUE;
}

if ($lst_dem == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/dem.png" border="0" align="absmiddle">';
    echo ' '._("Déménager");
    $slash = TRUE;
}

if ($lst_recup == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/recup.png" border="0" align="absmiddle">';
    echo ' '._("Utiliser comme modèle");
    $slash = TRUE;
}

if ($lst_int == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/int.png" border="0" align="absmiddle">';
    if ($ta == "i")
        echo ' '._("Choisir pour l'intervention en cours");
    else
        echo ' '._("Saisir Intervention");
    $slash = TRUE;
}

if ($lst_intp == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/intp.png" border="0" align="absmiddle">';
    echo ' '._("Programmer Interventions");
    $slash = TRUE;
}

if ($lst_bar == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/barloc.png" border="0" align="absmiddle">';
    switch ($ta) {
        case "p" :
            echo ' '._("Créer un barème avec cette période type");
            break;
        default :
            break;
    }
    $slash = TRUE;
}

if ($lst_retp == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/retp.png" border="0" align="absmiddle">';
    echo ' '._("Saisir produit à retourner");
    $slash = TRUE;
}

if ($lst_retd == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/retd.png" border="0" align="absmiddle">';
    echo ' '._("Demande de retour");
    $slash = TRUE;
}

if ($lst_rete == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/rete.png" border="0" align="absmiddle">';
    echo ' '._("Créer bon de renvoi");
    $slash = TRUE;
}

if ($lst_retee == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/rete.png" border="0" align="absmiddle">';
    echo ' '._("Ajouter au renvoi");
    $slash = TRUE;
}

if ($lst_reteex == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/retns.png" border="0" align="absmiddle">';
    echo ' '._("Il existe des renvois en attente (cliquer)");
    $slash = TRUE;
}

if ($lst_retr == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/retr.png" border="0" align="absmiddle">';
    echo ' '._("Traiter retour");
    $slash = TRUE;
}

if ($lst_taxe == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/taxe.png" border="0" align="absmiddle">';
    switch ($ta) {
        case "p" :
            echo ' '._("Appliquer la taxe au produit");
            break;
        case "i" :
        case "ih" :
            echo ' '._("Appliquer la taxe à l'intervention");
            break;
        default :
            break;
    }
    $slash = TRUE;
}

if ($lst_pen == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/pen.png" border="0" align="absmiddle">';
    echo ' '._("Appliquer une pénalité au produit");
    $slash = TRUE;
}

if ($lst_cocl == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/contrat.png" border="0" align="absmiddle">';
    if ($ta == "i")
        echo ' '._("Choisir pour le contrat en cours");
    else
        echo ' '._("Saisir contrat");
    $slash = TRUE;
}

// Légende "ajouter annexe"
if ($lst_add_annexe == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/annexe_add.png" border="0" align="absmiddle">';
    echo ' '._("Ajouter annexe");
    $slash = TRUE;
}

// Légende "voir annexe"
if ($lst_view_annexe == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/annexe_lst.png" border="0" align="absmiddle">';
    echo ' '._("Voir annexes");
    $slash = TRUE;
}

if ($lst_dos == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/dossier.png" border="0" align="absmiddle">';
    if ($ta == "i")
        echo ' '._("Choisir pour le dossier en cours");
    else
        echo ' '._("Saisir dossier de suivi");
    $slash = TRUE;
}

if ($lst_coloc == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/coloc.png" border="0" align="absmiddle">';
    if ($ta == "l")
        echo ' '._("Choisir pour le contrat en cours");
    else
        echo ' '._("Saisir contrat location");
    $slash = TRUE;

}

if ($lst_relexist == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/relexist.png" border="0" align="absmiddle">';
    echo ' '._("Editer relevé");
    $slash = TRUE;
}

if ($lst_relcreer == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/rel.png" border="0" align="absmiddle">';
    echo ' '._("Créer relevé");
    $slash = TRUE;
}

if ($lst_rpatexist == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/rpatexist.gif" border="0" align="absmiddle">';
    echo ' '._("Editer patrimoine");
    $slash = TRUE;
}

if ($lst_rpatcreer == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/rpat.gif" border="0" align="absmiddle">';
    echo ' '._("Créer patrimoine");
    $slash = TRUE;
}

if ($lst_pbmrel == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/addpbm.png" border="0" align="absmiddle">';
    echo ' '._("Déclarer un problème");
    $slash = TRUE;
}

if ($lst_otadd == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/ot_add.png" border="0" align="absmiddle">';
    echo ' '._("Ajouter bon de travail");
    $slash = TRUE;
}

if ($lst_otlnk == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/ot_lnkadd.png" border="0" align="absmiddle">';
    $tx = "m";
    if (isset($_GET["tx"]))
        $tx = clean_str($_GET['tx'], false); // Source de l'appel m:depuis le menu, i:depuis l'intervention
    switch ($tx) {
        case "i";
            echo ' '._("Rattacher à cette intervention");
            break;
        case "m" :
            echo ' '._("Créer une intervention pour régulariser");
            break;
    }
    $slash = TRUE;
}

if ($lst_otulnk == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/ot_lnkdel.png" border="0" align="absmiddle">';
    echo ' '._("Dissocier de cette intervention");
    $slash = TRUE;
}

if ($lst_imp == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/print.png" border="0" align="absmiddle">';
    echo ' '._("Imprimer");
    $slash = TRUE;
}

if ($lst_impcl == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo "<img src=\"../img/printcl.png\" border=\"0\" align=\"absmiddle\">";
    echo ' '._("Imprimer (version client)");
    $slash = TRUE;
}

if ($lst_mail == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/mail.png" border="0" align="absmiddle">';
    if (@$_SESSION["niv_log"] <> 1)
        echo ' '._("Envoyer par email");
    else
        echo ' '._("Recevoir par email");
    $slash = TRUE;
}

if ($lst_reopen == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/reopen.png" border="0" align="absmiddle">';
    echo ' '._("Réouvrir");
    $slash = TRUE;
}

// Légende "synthèse"
if ($lst_histo == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/histo.png" border="0" align="absmiddle">';
    echo ' '._("Synthèse");
    $slash = TRUE;
}

if ($lst_impc == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/printc.png" border="0" align="absmiddle">';
    echo ' '._("Imprimer (avec CGV)");
    $slash = TRUE;
}

if ($lst_impp == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/printc.png" border="0" align="absmiddle">';
    echo ' '._("Imprimer (avec détail problèmes)");
    $slash = TRUE;
}

if ($lst_rel == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/mailren.png" border="0" align="absmiddle">';
    echo ' '._("Relancer");
    $slash = TRUE;
}

if ($lst_ren == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/renouv.png" border="0" align="absmiddle">';
    echo ' '._("Renouveler contrat");
    $slash = TRUE;
}

if ($lst_del == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/del.png" border="0" align="absmiddle">';
    echo _(" Supprimer");
    $slash = TRUE;
}

if ($lst_grab == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/get.png" border="0" align="absmiddle">';
    echo ' '._("S'approprier");
    $slash = TRUE;
}

if ($lst_mve == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/fmve.png" border="0" align="absmiddle">';
    echo ' '._("Déplacer");
    $slash = TRUE;
}

if ($lst_repl == TRUE) {
    if ($slash == TRUE)
        echo " / ";
    echo '<img src="../img/repli.png" border="0" align="absmiddle">';
    echo ' '._("Exécuter réplication");
    $slash = TRUE;
}
?>
</div>
